Subject: Error installing v3r1

From: [email-masked] (Goto Atsuhiro)
Date: Tue, 3 Dec 91 16:28:18 -0800

Dear POSTGRES Group,

We had the same problem as:

   >>compiling lib/libpq/fe-pqufs.c
   >>"/home/postgres/src/lib/H/tmp/libpq-fs.h", line 42: redeclaration of stat
   >>*** Error code 1
   >>make: Fatal error: Command failed for target `/home/postgres/obj.sparc/lib/libpq/fe-pqufs.o'
   >>

so I removed 'stat' from 'src/lib/H/tmp/libpq-fs.h'.
but I had another error message as:
......
Module INH done
linking postgres
linking postgres completed
done
linking monitor
linking pg_id
done
make: Fatal error: Don't know how to make target `/home/usr/postgres/obj.sunos4/
LIB.o'
done
done
.....

So, I changed the file '~/newconf/Make' as:

if (! $?DEVELOPMENT) setenv DEVELOPMENT f	:: original

if (! $?DEVELOPMENT) setenv DEVELOPMENT t	:: new

then 'Make install' succeeded .
Was this the correct installation?

----------------------------------------------------------------------
  Atsuhiro Goto 		 ([email-masked])
  SOBUN-G, Software Research Laboratory, NTT Software Laboratories
  9-11, Midori-cho 3, Musashino-shi, Tokyo 180 Japan
  Phone: +81-422-59-2976		Fax:   +81-422-59-4369